## gemmlowp 0.0~git20180416.38ebac7

=== debian/changelog ===
gemmlowp (0.0~git20180416.38ebac7-1) unstable; urgency=medium

  * New upstream version 0.0~git20180416.38ebac7
  * Add watch file to monitor upstream git HEAD.
  * Bump Standards-Version to 4.1.4 (no change).
  * Move from devel section to libdevel section.
  * Remove unused override debian-watch-file-is-missing.
  * Remove debian/CMakeLists.txt because merged by upstream.
  * patches: Patch the cmake build to avoid failure.
  * Fix doc installation path and remove unused dirs. (Closes: #900474)
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 02 Jun 2018 08:17:17 +0000

gemmlowp (0~20180308-gf59a96b-1) experimental; urgency=medium

  * Initial release. (Closes: #848882)

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 26 Mar 2018 03:50:14 +0000
