=== debian/control ===
Source: gemmlowp
Section: science
Priority: optional
Maintainer: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>= 11~),
               cmake,
Standards-Version: 4.1.4
Homepage: https://github.com/google/gemmlowp
Vcs-Browser: https://salsa.debian.org/lumin-guest/gemmlowp
Vcs-Git: https://salsa.debian.org/lumin-guest/gemmlowp.git

Package: libgemmlowp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
#         ${shlibs:Depends}, # there is no binary file in this package.
Description: small self-contained low-precision GEMM library
 This is not a full linear algebra library, only a GEMM library: it only does
 general matrix multiplication ("GEMM").
 .
 Its performance goals differ from typical GEMM performance goals in the
 following ways:
 1. It cares not only about speed, but also about minimizing power usage.
    It specifically cares about charge usage in mobile/embedded devices.
 2. Most GEMMs are optimized primarily for large dense matrix sizes (>= 1000).
    It does care about large sizes, but it also cares specifically about the
    typically smaller matrix sizes encountered in various mobile applications.
 .
 Keep in mind (previous section) that gemmlowp itself is a pure-headers-only
 library.
