=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	ln -s contrib/CMakeLists.txt .
	dh_auto_configure -- \
		-DCMAKE_C_FLAGS="$(CFLAGS) $(CPPFLAGS)" \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS) $(CPPFLAGS)"

override_dh_installdocs:
	-mkdir -p debian/libgemmlowp-dev/usr/share/doc/libgemmlowp-dev/meta/
	install meta/README debian/libgemmlowp-dev/usr/share/doc/libgemmlowp-dev/meta/
	dh_installdocs

override_dh_auto_clean:
	-$(RM) CMakeLists.txt
	dh_auto_clean
