## gemmlowp 0.0~git20180912.7c5f9be

=== debian/changelog ===
gemmlowp (0.0~git20180912.7c5f9be-1) unstable; urgency=medium

  * New upstream version 0.0~git20180912.7c5f9be
  * Transfer packaging repo to Salsa/Science-team.
  * Set Science Team as Maintainer, while myself as Uploader.
  * Bump Standards-Version to 4.2.1 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 14 Sep 2018 06:53:57 +0000

gemmlowp (0.0~git20180822.dea287e-1) unstable; urgency=medium

  * New upstream snapshot 0.0~git20180822.dea287e
  * Bump Standards-Version to 4.2.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 26 Aug 2018 12:49:42 +0000
