=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: gemmlowp
 Section: science
 Priority: optional
-Maintainer: Mo Zhou <cdluminate@gmail.com>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Mo Zhou <cdluminate@gmail.com>
 Build-Depends: debhelper (>= 11~),
                cmake,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/google/gemmlowp
-Vcs-Browser: https://salsa.debian.org/lumin-guest/gemmlowp
-Vcs-Git: https://salsa.debian.org/lumin-guest/gemmlowp.git
+Vcs-Browser: https://salsa.debian.org/science-team/gemmlowp
+Vcs-Git: https://salsa.debian.org/science-team/gemmlowp.git
 
 Package: libgemmlowp-dev
 Section: libdevel
