## gemmlowp 0.0~git20181112.18e4cc0

=== debian/changelog ===
gemmlowp (0.0~git20181112.18e4cc0-1) unstable; urgency=medium

  * New upstream version 0.0~git20181112.18e4cc0
  * Change Multi-Arch to foreign for the header only -dev package.
  * Remove README.source, not useful anymore.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 25 Nov 2018 01:51:47 +0000
