=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: libgemmlowp-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 #         ${shlibs:Depends}, # there is no binary file in this package.
 Description: small self-contained low-precision GEMM library
