## gemmlowp 0.0~git20190110.2233f5e

=== debian/changelog ===
gemmlowp (0.0~git20190110.2233f5e-1) unstable; urgency=medium

  * New upstream version 0.0~git20190110.2233f5e
  * Bump debhelper compat to 12.
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 12 Jan 2019 05:41:03 +0000
