## gemmlowp 0.0~git20190128.58825b1

=== debian/changelog ===
gemmlowp (0.0~git20190128.58825b1-1) unstable; urgency=medium

  * New upstream version 0.0~git20190128.58825b1

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 24 Feb 2019 02:24:17 +0000
