## gemmlowp 0.0~git20190708.a227af1

=== debian/changelog ===
gemmlowp (0.0~git20190708.a227af1-1) unstable; urgency=medium

  * New upstream version 0.0~git20190708.a227af1

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 13 Aug 2019 01:57:58 +0000
