## gemmlowp 0.0~git20191206.08c5dd3

=== debian/changelog ===
gemmlowp (0.0~git20191206.08c5dd3-1) unstable; urgency=medium

  * New upstream version 0.0~git20191206.08c5dd3

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 26 Dec 2019 15:12:48 +0800
