=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <cdluminate@gmail.com>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                cmake,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/google/gemmlowp
 Vcs-Browser: https://salsa.debian.org/science-team/gemmlowp
 Vcs-Git: https://salsa.debian.org/science-team/gemmlowp.git
