## gemmlowp 0.0~git20200506.fda83bd

=== debian/changelog ===
gemmlowp (0.0~git20200506.fda83bd-1) unstable; urgency=medium

  * New upstream version 0.0~git20200506.fda83bd
  * Update my own mail address in control and copyright.
  * Bump Standards-Version to 4.5.0 (no change).
  * Deprecate d/compat in favor of debhelper-compat (= 13).

 -- Mo Zhou <lumin@debian.org>  Thu, 03 Sep 2020 11:07:40 +0800
