=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --buildsystem=cmake
+	dh $@ -Scmake
 
 override_dh_auto_configure:
 	ln -s contrib/CMakeLists.txt .
