## gemmlowp 0.0~git20211220.e844ffd

=== debian/changelog ===
gemmlowp (0.0~git20211220.e844ffd-1) unstable; urgency=medium

  * New upstream version 0.0~git20211220.e844ffd

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Jun 2022 22:56:13 -0700
