=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Mo Zhou <cdluminate@gmail.com>
-Build-Depends: debhelper (>= 12~),
+Uploaders: Mo Zhou <lumin@debian.org>
+Build-Depends: debhelper-compat (= 13),
                cmake,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/google/gemmlowp
 Vcs-Browser: https://salsa.debian.org/science-team/gemmlowp
 Vcs-Git: https://salsa.debian.org/science-team/gemmlowp.git
